### Hierarchy

- TextStreamBase
  - TextStreamReader

## Index

### Properties

- AtEndOfLine
- AtEndOfStream
- Column
- Line

### Methods

- Close
- Read
- ReadAll
- ReadLine
- Skip
- SkipLine

## Properties

### AtEndOfLine

AtEndOfLine: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:112

Indicates whether the stream pointer position is at the end of a line.

### AtEndOfStream

AtEndOfStream: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:117

Indicates whether the stream pointer position is at the end of a stream.

### Column

Column: number

Inherited from TextStreamBase.Column

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:43

The column number of the current character position in an input stream.

### Line

Line: number

Inherited from TextStreamBase.Line

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:48

The current line number in an input stream.

## Methods

### Close

- Close(): void

- Inherited from TextStreamBase.Close

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:55

  Closes a text stream. It is not necessary to close standard streams; they close automatically when the process ends. If you close a standard stream, be aware that any other pointers to that standard stream become invalid.

  #### Returns void

### Read

- Read(characters: number): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:81

  Returns a specified number of characters from an input stream, starting at the current pointer position. Does not return until the ENTER key is pressed. Can only be used on a stream in reading mode; causes an error in writing or appending mode.

  #### Parameters

  - ##### characters: number

  #### Returns string

### ReadAll

- ReadAll(): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:87

  Returns all characters from an input stream. Can only be used on a stream in reading mode; causes an error in writing or appending mode.

  #### Returns string

### ReadLine

- ReadLine(): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:94

  Returns an entire line from an input stream. Although this method extracts the newline character, it does not add it to the returned string. Can only be used on a stream in reading mode; causes an error in writing or appending mode.

  #### Returns string

### Skip

- Skip(characters: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:101

  Skips a specified number of characters when reading from an input text stream. Can only be used on a stream in reading mode; causes an error in writing or appending mode.

  #### Parameters

  - ##### characters: number

    Positive number of characters to skip forward. (Backward skipping is not supported.)

  #### Returns void

### SkipLine

- SkipLine(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:107

  Skips the next line when reading from an input text stream. Can only be used on a stream in reading mode, not writing or appending mode.

  #### Returns void

Generated using TypeDoc